Subject: Re: firefox fails on NetBSD 2.0E i386
To: None <>
From: grant beattie <>
List: tech-pkg
Date: 05/18/2004 20:33:53
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, May 18, 2004 at 12:21:46PM +0200, Thomas Klausner wrote:

> On Tue, May 18, 2004 at 10:37:15AM +0200, Ronald van der Pol wrote:
> > Building pkgsrc/www/firefox fails:
> Update your freetype2 installation to 2.1.8 and try again.

unless it was fixed in the last ~24 hours, it doesn't build on -2-0
with a brand new /usr/pkg. I'll try again because I didn't log the
failure so I don't know if it was the same problem (though it seems

if firefox/mozilla has had patches added which are not backward
compatible with earlier versions of freetype2, they should be #ifdef'd
to support previous versions.

(I'm beginning to kinda dislike this "patch the various packages which
use xyz because we updated xyz and the API changed" trend which seems
to be emerging of late... it would be better if either backward
compatibility was retained or we just follow what the vendor does in
their repository to deal with this sort of stuff).


Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.2.4 (NetBSD)